Truztcube Docs
API ReferenceAccess Levels

Update access level

⚙️ Update an existing access level. Admin only.

PUT/v1/access-levels/{id}
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/v1/access-levels/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "success": true,  "statusCode": 200,  "message": "Request processed successfully",  "timestamp": "2025-10-20T16:30:00.000Z",  "path": "/v1/auth/register",  "data": {    "id": "al_abc123",    "serviceId": "serv_123",    "serviceName": "string",    "name": "Premium",    "cost": 5000,    "feature": {      "verificationToken": 5,      "informationAllowed": "Photograph, names (Last, middle & first names), DOB, gender, NIN"    },    "isPrivate": true,    "category": "string",    "subscriptionCount": 5,    "createdAt": "2025-10-20T12:00:00.000Z",    "updatedAt": "2025-10-20T12:00:00.000Z"  }}